org.apache.hadoop.security.http

## Class XFrameOptionsFilter.XFrameOptionsResponseWrapper

- java.lang.Object
- - javax.servlet.ServletResponseWrapper
  - - javax.servlet.http.HttpServletResponseWrapper
    - - org.apache.hadoop.security.http.XFrameOptionsFilter.XFrameOptionsResponseWrapper

- All Implemented Interfaces:
    javax.servlet.http.HttpServletResponse, javax.servlet.ServletResponse
  Enclosing class:
    XFrameOptionsFilter

      public class XFrameOptionsFilter.XFrameOptionsResponseWrapper
      extends javax.servlet.http.HttpServletResponseWrapper

  This wrapper allows the rest of the filter pipeline to see the configured value when interrogating the response. It also blocks other filters from setting the value to anything other than what is configured.

- - ### Field Summary

    - ### Fields inherited from interface javax.servlet.http.HttpServletResponse

      `SC_ACCEPTED, SC_BAD_GATEWAY, SC_BAD_REQUEST, SC_CONFLICT, SC_CONTINUE, SC_CREATED, SC_EXPECTATION_FAILED, SC_FORBIDDEN, SC_FOUND, SC_GATEWAY_TIMEOUT, SC_GONE, SC_HTTP_VERSION_NOT_SUPPORTED, SC_INTERNAL_SERVER_ERROR, SC_LENGTH_REQUIRED, SC_METHOD_NOT_ALLOWED, SC_MOVED_PERMANENTLY, SC_MOVED_TEMPORARILY, SC_MULTIPLE_CHOICES, SC_NO_CONTENT, SC_NON_AUTHORITATIVE_INFORMATION, SC_NOT_ACCEPTABLE, SC_NOT_FOUND, SC_NOT_IMPLEMENTED, SC_NOT_MODIFIED, SC_OK, SC_PARTIAL_CONTENT, SC_PAYMENT_REQUIRED, SC_PRECONDITION_FAILED, SC_PROXY_AUTHENTICATION_REQUIRED, SC_REQUEST_ENTITY_TOO_LARGE, SC_REQUEST_TIMEOUT, SC_REQUEST_URI_TOO_LONG, SC_REQUESTED_RANGE_NOT_SATISFIABLE, SC_RESET_CONTENT, SC_SEE_OTHER, SC_SERVICE_UNAVAILABLE, SC_SWITCHING_PROTOCOLS, SC_TEMPORARY_REDIRECT, SC_UNAUTHORIZED, SC_UNSUPPORTED_MEDIA_TYPE, SC_USE_PROXY`

  - ### Constructor Summary

    Constructors
    Constructor and Description
    `XFrameOptionsResponseWrapper(javax.servlet.http.HttpServletResponse response)` Ctor to take wrap the provided response.

  - ### Method Summary

    All Methods Instance Methods Concrete Methods
    Modifier and Type | Method and Description
    --- | ---
    `void` | `addDateHeader(String name, long date)`
    `void` | `addHeader(String name, String value)`
    `void` | `addIntHeader(String name, int value)`
    `boolean` | `containsHeader(String name)`
    `void` | `setDateHeader(String name, long date)`
    `void` | `setHeader(String name, String value)`
    `void` | `setIntHeader(String name, int value)`

    - ### Methods inherited from class javax.servlet.http.HttpServletResponseWrapper

      `addCookie, encodeRedirectUrl, encodeRedirectURL, encodeUrl, encodeURL, getHeader, getHeaderNames, getHeaders, getStatus, sendError, sendError, sendRedirect, setStatus, setStatus`

    - ### Methods inherited from class javax.servlet.ServletResponseWrapper

      `flushBuffer, getBufferSize, getCharacterEncoding, getContentType, getLocale, getOutputStream, getResponse, getWriter, isCommitted, isWrapperFor, isWrapperFor, reset, resetBuffer, setBufferSize, setCharacterEncoding, setContentLength, setContentLengthLong, setContentType, setLocale, setResponse`

    - ### Methods inherited from class java.lang.Object

      `clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

    - ### Methods inherited from interface javax.servlet.ServletResponse

      `flushBuffer, getBufferSize, getCharacterEncoding, getContentType, getLocale, getOutputStream, getWriter, isCommitted, reset, resetBuffer, setBufferSize, setCharacterEncoding, setContentLength, setContentLengthLong, setContentType, setLocale`

- - ### Constructor Detail

    - #### XFrameOptionsResponseWrapper

          public XFrameOptionsResponseWrapper(javax.servlet.http.HttpServletResponse response)

      Ctor to take wrap the provided response.
      Parameters:
        `response` - the response to wrap

  - ### Method Detail

    - #### addHeader

          public void addHeader(String name,
                                String value)

      Specified by:
        `addHeader` in interface `javax.servlet.http.HttpServletResponse`
      Overrides:
        `addHeader` in class `javax.servlet.http.HttpServletResponseWrapper`

    - #### setHeader

          public void setHeader(String name,
                                String value)

      Specified by:
        `setHeader` in interface `javax.servlet.http.HttpServletResponse`
      Overrides:
        `setHeader` in class `javax.servlet.http.HttpServletResponseWrapper`

    - #### setDateHeader

          public void setDateHeader(String name,
                                    long date)

      Specified by:
        `setDateHeader` in interface `javax.servlet.http.HttpServletResponse`
      Overrides:
        `setDateHeader` in class `javax.servlet.http.HttpServletResponseWrapper`

    - #### addDateHeader

          public void addDateHeader(String name,
                                    long date)

      Specified by:
        `addDateHeader` in interface `javax.servlet.http.HttpServletResponse`
      Overrides:
        `addDateHeader` in class `javax.servlet.http.HttpServletResponseWrapper`

    - #### setIntHeader

          public void setIntHeader(String name,
                                   int value)

      Specified by:
        `setIntHeader` in interface `javax.servlet.http.HttpServletResponse`
      Overrides:
        `setIntHeader` in class `javax.servlet.http.HttpServletResponseWrapper`

    - #### addIntHeader

          public void addIntHeader(String name,
                                   int value)

      Specified by:
        `addIntHeader` in interface `javax.servlet.http.HttpServletResponse`
      Overrides:
        `addIntHeader` in class `javax.servlet.http.HttpServletResponseWrapper`

    - #### containsHeader

          public boolean containsHeader(String name)

      Specified by:
        `containsHeader` in interface `javax.servlet.http.HttpServletResponse`
      Overrides:
        `containsHeader` in class `javax.servlet.http.HttpServletResponseWrapper`

Copyright © 2008–2022 Apache Software Foundation. All rights reserved.